#!/bin/sh

# return:
# 2: error in calling the program
#    (e.g. neither the standard output nor the maradona file is readable,
#     or a wrong number of parameters is passed)
# 0: job exit status = 0 && jw exit status  = 0
# 1: otherwise

if [ $# -ne 2 ]; then
    echo "Usage: $0 <stdout_file> <maradona_file>" >&2
    exit 101;
fi

stdout_file=$1
maradona_file=$2

if [ ! -r "${stdout_file}" -a ! -r "${maradona_file}" ]; then
    exit 2
fi

function get_exit_status_from_file()
{
    if [ -r $2 ]; then
        echo `awk '/^'$1' exit status = [0-9]+$/ {print $5; exit}' $2`
        return 0
    else
        return 1
    fi
}

function get_exit_status()
{
    st=`get_exit_status_from_file $1 ${stdout_file}`
    if [ "x${st}x" = "xx" ]; then
        st=`get_exit_status_from_file $1 ${maradona_file}`
    fi
    echo ${st}
}

job_exit_status=`get_exit_status job`
jw_exit_status=`get_exit_status jw`

if [ "${job_exit_status}" == 0 -a "${jw_exit_status}" == 0 ]; then
    exit 0
else
    exit 1
fi
